Get admin users

Download provider admin users using GET.

Returns the same field names accepted by the admin user create endpoint. Read-only fields such as id, created_at and updated_at are ignored on create.

Request

GET https://api.frontcore.com/v2/admin-users

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/admin-users';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

[
    {
        "id": 123,
        "firstname": "Ola",
        "lastname": "Nordmann",
        "email": "ola@example.com",
        "position": "Instructor",
        "phone_prefix": "47",
        "phone": "12345678",
        "booking_email": "booking@example.com",
        "role_ids": [1, 703],
        "created_at": "2026-05-11 10:00:00",
        "updated_at": "2026-05-11 10:00:00"
    }
]

Unsuccessful response sample:

{
    "error": "Invalid API key"
}      
© 2026 FrontCore